Skip to Content
Organizations

Update organization

Acceso

Solo administradores de Tillor.

PATCH
/admin/organizations/{organizationId}

Changes name, legal name, country and language. Super-admins only.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string
Length1 <= length

Request Body

application/json
  1. body
name*string
Length1 <= length <= 120
legalName*string|null
country*string
Length2 <= length <= 2
locale*string
Value in"nl""fr""en""de""es""it""pl""pt""ro"

Response Body

OK

application/json
  1. response
id*string
name*string
legalName*string|null
logo*string|null
backgroundImage*string|null
locale*string
subdomain*string|null
maintenanceMode*boolean
vatNumber*string|null
iban*string|null
bic*string|null
address*string|null
zipCode*string|null
city*string|null
country*string
currency*string
legalForm*string|null
email*string|null
phone*string|null
supportEmail*string|null
accountantEmails*array<string>
website*string|null
Example Request
curl -X PATCH 'https://api.tillor.eu/admin/organizations/' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "legalName": "string",  "country": "st",  "locale": "nl"}'
Example Response
{  "id": "string",  "name": "string",  "legalName": "string",  "logo": "string",  "backgroundImage": "string",  "locale": "string",  "subdomain": "string",  "maintenanceMode": true,  "vatNumber": "string",  "iban": "string",  "bic": "string",  "address": "string",  "zipCode": "string",  "city": "string",  "country": "string",  "currency": "string",  "legalForm": "string",  "email": "string",  "phone": "string",  "supportEmail": "string",  "accountantEmails": [    "string"  ],  "website": "string"}